]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
setup.sh: use set -eu
[config/dotfiles.git] / setup.sh
index ac253c3ffcf7a09e57af569278ac380b3d05ed78..3515b06e5f7bde25d3d580b51d84a3a1d6d4a437 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# Setup script for lftp configuration files.
+# Setup script for miscellaneous configuration files.
 
 # Copyright (C) 2009-2013  Simon Ruderich
 #
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 . ../lib.sh
 
+
+# gdb, GNU debugger.
+if installed gdb; then
+    link gdb/gdbinit ~/.gdbinit
+fi
+
+# Powerful FTP client.
 if installed lftp; then
     link lftp ~/.lftp
 fi
+
+# Maxima, a symbolic algebra program.
+if installed maxima; then
+    link maxima ~/.maxima
+fi
+
+# MySQL client.
+if installed mysql; then
+    link mysql/my.cnf ~/.my.cnf
+fi
+
+# perlcritic to check Perl programs for common problems.
+if installed perlcritic; then
+    link perl/perlcriticrc ~/.perlcriticrc
+fi